<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: MelonException Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('class_melon_exception.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_melon_exception-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">MelonException Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This class defines the exceptions thrown by FeedForwardNet.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="exceptions_8h_source.html">exceptions.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for MelonException:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_melon_exception.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a452e9b8d9402120d65da21cc0963248b" id="r_a452e9b8d9402120d65da21cc0963248b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a452e9b8d9402120d65da21cc0963248b">MelonException</a> (const std::string &amp;arg)</td></tr>
<tr class="memdesc:a452e9b8d9402120d65da21cc0963248b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor used for forwarding.  <br /></td></tr>
<tr class="separator:a452e9b8d9402120d65da21cc0963248b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac41ac06f98a2bbd10226000b2aa6417b" id="r_ac41ac06f98a2bbd10226000b2aa6417b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac41ac06f98a2bbd10226000b2aa6417b">MelonException</a> (const std::string &amp;arg, const std::exception &amp;e)</td></tr>
<tr class="memdesc:ac41ac06f98a2bbd10226000b2aa6417b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor used for forwarding.  <br /></td></tr>
<tr class="separator:ac41ac06f98a2bbd10226000b2aa6417b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68266a43eb716b795f749cd33f66e936" id="r_a68266a43eb716b795f749cd33f66e936"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a68266a43eb716b795f749cd33f66e936">MelonException</a> (const std::string &amp;arg, const std::exception *e)</td></tr>
<tr class="memdesc:a68266a43eb716b795f749cd33f66e936"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor used printing a FeedForwardNet Exception.  <br /></td></tr>
<tr class="separator:a68266a43eb716b795f749cd33f66e936"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfc925bc3c90a8c2eb64ec832c161631" id="r_acfc925bc3c90a8c2eb64ec832c161631"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acfc925bc3c90a8c2eb64ec832c161631">what</a> () const noexcept</td></tr>
<tr class="memdesc:acfc925bc3c90a8c2eb64ec832c161631"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to return the error message.  <br /></td></tr>
<tr class="separator:acfc925bc3c90a8c2eb64ec832c161631"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a859054fbc757ff1e8832e6644a9417b0" id="r_a859054fbc757ff1e8832e6644a9417b0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a859054fbc757ff1e8832e6644a9417b0">MelonException</a> ()</td></tr>
<tr class="separator:a859054fbc757ff1e8832e6644a9417b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a073260a73dcd9a890469a0d16ac0a932" id="r_a073260a73dcd9a890469a0d16ac0a932"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a073260a73dcd9a890469a0d16ac0a932">_msg</a> { &quot;&quot; }</td></tr>
<tr class="separator:a073260a73dcd9a890469a0d16ac0a932"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class defines the exceptions thrown by FeedForwardNet. </p>
<p>The class contains different constructors. The first parameter is always the error message. Additionally, the constructor can take an exception as second argument. If done so, the type of the exception object and its <a class="el" href="#acfc925bc3c90a8c2eb64ec832c161631" title="Function to return the error message.">what()</a> will be saved in the error message as well. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a859054fbc757ff1e8832e6644a9417b0" name="a859054fbc757ff1e8832e6644a9417b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a859054fbc757ff1e8832e6644a9417b0">&#9670;&#160;</a></span>MelonException() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">MelonException::MelonException </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a452e9b8d9402120d65da21cc0963248b" name="a452e9b8d9402120d65da21cc0963248b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a452e9b8d9402120d65da21cc0963248b">&#9670;&#160;</a></span>MelonException() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">MelonException::MelonException </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;</td>          <td class="paramname"><span class="paramname"><em>arg</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor used for forwarding. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">arg</td><td>is a string holding an error message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ac41ac06f98a2bbd10226000b2aa6417b" name="ac41ac06f98a2bbd10226000b2aa6417b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac41ac06f98a2bbd10226000b2aa6417b">&#9670;&#160;</a></span>MelonException() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">MelonException::MelonException </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;</td>          <td class="paramname"><span class="paramname"><em>arg</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::exception &amp;</td>          <td class="paramname"><span class="paramname"><em>e</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor used for forwarding. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">arg</td><td>is a string holding an error message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">e</td><td>holds the exception </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a68266a43eb716b795f749cd33f66e936" name="a68266a43eb716b795f749cd33f66e936"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68266a43eb716b795f749cd33f66e936">&#9670;&#160;</a></span>MelonException() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">MelonException::MelonException </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;</td>          <td class="paramname"><span class="paramname"><em>arg</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::exception *</td>          <td class="paramname"><span class="paramname"><em>e</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor used printing a FeedForwardNet Exception. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">arg</td><td>is a string holding an error message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">e</td><td>holds the exception </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acfc925bc3c90a8c2eb64ec832c161631" name="acfc925bc3c90a8c2eb64ec832c161631"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfc925bc3c90a8c2eb64ec832c161631">&#9670;&#160;</a></span>what()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * MelonException::what </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function to return the error message. </p>
<dl class="section return"><dt>Returns</dt><dd>Error message. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a073260a73dcd9a890469a0d16ac0a932" name="a073260a73dcd9a890469a0d16ac0a932"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a073260a73dcd9a890469a0d16ac0a932">&#9670;&#160;</a></span>_msg</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string MelonException::_msg { &quot;&quot; }</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>string holding the exception message </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/common/inc/<a class="el" href="exceptions_8h_source.html">exceptions.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_melon_exception.html">MelonException</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
